/**
 * SMTP Client Module Exports
 * Modular SMTP client implementation for robust email delivery
 */

// Main client class and factory
export * from './smtp-client.js';
export * from './create-client.js';

// Core handlers
export * from './connection-manager.js';
export * from './command-handler.js';
export * from './auth-handler.js';
export * from './tls-handler.js';
export * from './error-handler.js';

// Interfaces and types
export * from './interfaces.js';
export * from './constants.js';

// Utilities
export * from './utils/validation.js';
export * from './utils/logging.js';
export * from './utils/helpers.js';